<div fxLayout="column" style="width: 600px; max-width: 650px;">

  <app-header title="Δημιουργία νέας τιμολόγησης" icon="add"></app-header>

<div fxLayout="row wrap" style="margin-top: 2rem;">
  <dx-select-box
    class="select-box"
    [disabled]="isLoading"
    style="width: 45%; margin: 5px;"
    [dataSource]="stores"
    displayExpr="legalName"
    valueExpr="id"
    [(ngModel)]="selectedStoreId"
    [showDropDownButton]="true"
    [inputAttr]="{ 'aria-label': 'store' }"
    [searchMode]="'contains'"
    [searchExpr]="'legalName'"
    [searchTimeout]="200"
    [minSearchLength]="0"
    [searchEnabled]="true"
    [showDataBeforeSearch]="true"
    (valueChange)="setData()"
  ></dx-select-box>

  <mat-form-field *ngFor="let field of fields" appearance="fill" style="margin: 5px; width: 45%;">
    <mat-label>{{field.label}}</mat-label>
    <input matInput [(ngModel)]="field.value" readonly>
  </mat-form-field>

</div>

  <div fxLayout="row" style="height: 1px; background-color: lightgray; width: 100%; margin-bottom: 1rem;"></div>

  <div fxLayout="row" fxLayoutAlign="end center" fxFlex="100">
    <div fxLayout="column" fxLayoutGap="1px">

      <mat-form-field appearance="legacy">
        <mat-label>{{priceFields[0].label}}</mat-label>
        <input matInput [(ngModel)]="priceFields[0].value" (keyup)="calculate()">
      </mat-form-field>

      <mat-form-field appearance="fill">
        <mat-label>{{priceFields[1].label}}</mat-label>
        <input matInput [(ngModel)]="priceFields[1].value" readonly>
      </mat-form-field>

      <mat-form-field appearance="fill">
        <mat-label>{{priceFields[2].label}}</mat-label>
        <input matInput [(ngModel)]="priceFields[2].value" readonly>
      </mat-form-field>
    </div>
  </div>

  <div fxLayout="row" fxFlex="100" fxLayoutAlign="flex-end center" fxLayoutGap="5px">
    <button [disabled]="isButtonDisabled()" mat-raised-button (click)="create()">Δημιουργία τιμολογίου</button>
    <button mat-flat-button (click)="close()" style="color: red;">Άκυρο</button>
  </div>

</div>
